package dev.inmo.postssystem.services.posts.client.ui.create

import dev.inmo.postssystem.features.common.common.*
import dev.inmo.postssystem.features.content.common.Content
import kotlinx.coroutines.flow.StateFlow

class PostCreateUIViewModel(
    private val model: PostCreateUIModel
) : UIViewModel<PostCreateUIState> {
    override val currentState: StateFlow<PostCreateUIState>
        get() = model.currentState
    suspend fun create(content: List<Content>) {
        model.create(content)
    }
}
